Subject: Re: bug#3221: 23.0.93; ns cannot handle nonascii file names

From: Leo <[email-masked]>
Date: Thu, 23 Jul 2009 20:40:32 +0100

On 2009-07-23 17:47 +0100, Adrian Robert wrote:
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3221
>
> Hi,
>
>> After some investigation with Ian's help, I have found a workaround by
>> setting the language environment to UTF-8.
>>
>> The bug seems to be that Emacs.app is completely unaware of the
>> language setting of OS X.
>
> I'd like to fix this.
>
> Do you know why it works from terminal? Is there some code in emacs
> that reads the LANG or some other env setting and sets something in
> emacs? Where? What is the command to set the language environment?

I don't know how internally this is done. Maybe Ian can comment on this.

The language was set through  + system preferences + International.
After the setting, run 'env' in Terminal.app and there's a line:

  LANG=en_GB.UTF-8

When starting Emacs from Terminal.app by running:

  /Applications/Emacs.app/Contents/MacOS/Emacs -q

It picks up that setting automatically i.e. if you check variables such
as default-file-name-coding-system, it says UTF-8.

But if you start Emacs from dock, it is something else.

> While the various methods on the net to set up ~/.MacOSX/
> environment.plist might work, there ought to be some Cocoa way to
> detect language setting directly...

It will be nice to have that. The current behaviour gave me a big shock
when I first used Emacs.app.

-- 
Leo's Emacs uptime: 43 days, 5 hours, 49 minutes, 1 second